Subject: Approach for collaborative branches

From: Gary Pickrell <[email-masked]>
Date: Sun, 06 Dec 2009 08:57:10 -0800

My apologies if this is the wrong place to ask my question.

I've setup a git remote repository and placed the source for a windows 
program there.   I'm working on getting it to compile on Ubuntu.  The 
compilers are different so the code needs to be tweeked to make sure it 
compiles fine in Ubuntu without breaking anything in Windows.  Great!  
This is a situation that calls for git branches, I thought.  Did the 
following:

1) Clone the repository on Ubuntu
2) Made an Ubuntu branch
3) Made my changes to the code.  Added files...ect
4) Used git push origin Ubuntu to push the changes to the repository

I'm unable to see my Ubuntu changes on my windows machine.  How should I 
proceed?

Thanks in advance.

    -Gary